#!/bin/bash

set -e

if [[ "${DEBUG}" == "1" ]] || [[ "${DEBUG}" == "true" ]];
then
    tiller --verbose --debug
else
    tiller
fi


# NOTE: In many situations, we don't tell docker to drop privileges, otherwise we would not be
# able to import certificates. But that may make it difficult to run the service in kubernetes,
# where we may not need any of these root-only features. Thus, it's optional, which is what we
# detect here
#
# To allow this, we pass
#
#     --skip-if-not-root
#
# to gosu.
SERVICE_USERNAME=llanta

exec /usr/bin/gosu_wrapper.py \
        --skip-if-not-root \
        --user-id "${SERVICE_UID}" \
        --create-user "${SERVICE_USERNAME}" \
        --update-ca-certificates \
        --docker-hostname "${DOCKER_HOSTNAME_IN_ETC_HOSTS}" \
        --chown-recursive /var/lib/lastline \
        --config-file '/etc/lastline/llqueue.ini' \
    -- \
        /container_command.sh
